Update field

Update an existing field

PUT
/bases/{baseId}/collections/{collectionId}/fields/{fieldId}
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

baseIdstring

Base ID

collectionIdstring

Collection ID

fieldIdstring

Field ID

Field update input

defaultValue?string

Default value of the field

description?string

Short description of the field

format?string

Format of the field

formula?string

Formula expression for formula fields

height?string

Eventual height of the field

hidden?boolean

Whether the field is hidden

kind

Type of field

options?array<FieldOption>

Options for select fields

order?integer

Order of the field

referenceId?string

Reference field ID for reference fields

required?boolean

Whether the field is required

rollupFunction?string

Rollup function expression for rollup fields

title?string

Human readable title

validation?array<integer>

Validation rules for the field

width?string

Width of the field

Response Body

curl -X PUT "https://eu1.api.bivariant.com/v1/bases/string/collections/string/fields/string" \  -H "Content-Type: application/json" \  -d '{    "kind": null  }'
{
  "collectionId": "string",
  "createdAt": "string",
  "dbDataType": "string",
  "defaultValue": [
    0
  ],
  "description": "string",
  "format": "string",
  "formula": "string",
  "height": "string",
  "hidden": true,
  "id": "string",
  "kind": null,
  "name": "string",
  "options": [
    0
  ],
  "order": 0,
  "referenceId": "string",
  "required": true,
  "rollupFunction": "string",
  "system": true,
  "title": "string",
  "updatedAt": "string",
  "validation": [
    0
  ],
  "width": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}